---
apiVersion: v1
kind: Service
metadata:
   name: kplabs-service
   namespace: teama
spec:
   selector:
     run: nginx
   type: NodePort
   ports:
   - port: 8089
     targetPort: 80

---

apiVersion: v1
kind: Namespace
metadata:
  name: teama

---
apiVersion: v1
kind: Pod
metadata:
  name: nginx-pod-first
  labels:
      env: prod
      run: nginx
  namespace: teama
spec:
  containers:
  - name: first-pod
    image: nginx
    ports:
        - containerPort: 80


---
apiVersion: v1
kind: Pod
metadata:
  name: nginx-pod-second
  labels:
      env: pord
      run: nginx
  namespace: teama
spec:
  containers:
  - name: second-pod
    image: nginx
    ports:
        - containerPort: 80
